class iaas::role::rhmk(
    $percona_master = false,
    $keepalived_priority = 100,
    $keepalived_state = 'BACKUP',
    $ha_servers = undef,
    $mysql_users = undef,
    $mysql_databases = undef,
    $mysql_grants = undef,
    $haproxy_controller_hosts = undef,
    $haproxy_controller_ips = undef,
    $vip = undef,
  ) {
  # Base
  class { 'iaas::profile::base': } ->
  class { 'iaas::profile::database':
    percona_master => $percona_master,
    mysql_users => $mysql_users,
    mysql_databases => $mysql_databases,
    mysql_grants => $mysql_grants,
  }-> 
  class { 'iaas::profile::haproxy':
    servers => $ha_servers,
    controller_hosts => $haproxy_controller_hosts,
    controller_ips => $haproxy_controller_ips,
    vip => $vip,
  }
  class { 'iaas::profile::keepalived':
    state => $keepalived_state,
    priority => $keepalived_priority,
  }
  class { 'iaas::profile::rabbitmq': } 
}
